<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Getprintedlabelsxml ServiceType
 * @subpackage Services
 */
class Getprintedlabelsxml extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named getprintedlabels_xml
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param string $username
     * @param string $password
     * @param string $senderid
     * @param string $data
     * @param string $printertemplate
     * @param string $is_autoprint_pdfs
     * @return string|bool
     */
    public function getprintedlabels_xml($username, $password, $senderid, $data, $printertemplate, $is_autoprint_pdfs)
    {
        try {
            $this->setResult(self::getSoapClient()->getprintedlabels_xml($username, $password, $senderid, $data, $printertemplate, $is_autoprint_pdfs));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return string
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
