<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for deletelabel_result StructType
 * @subpackage Structs
 */
class Deletelabel_result extends AbstractStructBase
{
    /**
     * The deletedpcls
     * Meta informations extracted from the WSDL
     * - arrayType: xsd:string[]
     * - ref: SOAP-ENC:arrayType
     * @var string[]
     */
    public $deletedpcls;
    /**
     * The successfull
     * @var bool
     */
    public $successfull;
    /**
     * The errcode
     * @var int
     */
    public $errcode;
    /**
     * The errdesc
     * @var string
     */
    public $errdesc;
    /**
     * Constructor method for deletelabel_result
     * @uses Deletelabel_result::setDeletedpcls()
     * @uses Deletelabel_result::setSuccessfull()
     * @uses Deletelabel_result::setErrcode()
     * @uses Deletelabel_result::setErrdesc()
     * @param string[] $deletedpcls
     * @param bool $successfull
     * @param int $errcode
     * @param string $errdesc
     */
    public function __construct(array $deletedpcls = array(), $successfull = null, $errcode = null, $errdesc = null)
    {
        $this
            ->setDeletedpcls($deletedpcls)
            ->setSuccessfull($successfull)
            ->setErrcode($errcode)
            ->setErrdesc($errdesc);
    }
    /**
     * Get deletedpcls value
     * @return string[]|null
     */
    public function getDeletedpcls()
    {
        return $this->deletedpcls;
    }
    /**
     * Set deletedpcls value
     * @throws \InvalidArgumentException
     * @param string[] $deletedpcls
     * @return \StructType\Deletelabel_result
     */
    public function setDeletedpcls(array $deletedpcls = array())
    {
        foreach ($deletedpcls as $deletelabel_resultDeletedpclsItem) {
            // validation for constraint: itemType
            if (!is_string($deletelabel_resultDeletedpclsItem)) {
                throw new \InvalidArgumentException(sprintf('The deletedpcls property can only contain items of string, "%s" given', is_object($deletelabel_resultDeletedpclsItem) ? get_class($deletelabel_resultDeletedpclsItem) : gettype($deletelabel_resultDeletedpclsItem)), __LINE__);
            }
        }
        $this->deletedpcls = $deletedpcls;
        return $this;
    }
    /**
     * Add item to deletedpcls value
     * @throws \InvalidArgumentException
     * @param string $item
     * @return \StructType\Deletelabel_result
     */
    public function addToDeletedpcls($item)
    {
        // validation for constraint: itemType
        if (!is_string($item)) {
            throw new \InvalidArgumentException(sprintf('The deletedpcls property can only contain items of string, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->deletedpcls[] = $item;
        return $this;
    }
    /**
     * Get successfull value
     * @return bool|null
     */
    public function getSuccessfull()
    {
        return $this->successfull;
    }
    /**
     * Set successfull value
     * @param bool $successfull
     * @return \StructType\Deletelabel_result
     */
    public function setSuccessfull($successfull = null)
    {
        // validation for constraint: boolean
        if (!is_null($successfull) && !is_bool($successfull)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($successfull)), __LINE__);
        }
        $this->successfull = $successfull;
        return $this;
    }
    /**
     * Get errcode value
     * @return int|null
     */
    public function getErrcode()
    {
        return $this->errcode;
    }
    /**
     * Set errcode value
     * @param int $errcode
     * @return \StructType\Deletelabel_result
     */
    public function setErrcode($errcode = null)
    {
        // validation for constraint: int
        if (!is_null($errcode) && !is_numeric($errcode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($errcode)), __LINE__);
        }
        $this->errcode = $errcode;
        return $this;
    }
    /**
     * Get errdesc value
     * @return string|null
     */
    public function getErrdesc()
    {
        return $this->errdesc;
    }
    /**
     * Set errdesc value
     * @param string $errdesc
     * @return \StructType\Deletelabel_result
     */
    public function setErrdesc($errdesc = null)
    {
        // validation for constraint: string
        if (!is_null($errdesc) && !is_string($errdesc)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($errdesc)), __LINE__);
        }
        $this->errdesc = $errdesc;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Deletelabel_result
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
